## neutron 9.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=0.4.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu!=4.1,!=4.2,!=4.2.1,!=4.4,>=3.30 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.5.0;python_version=='2.7' # Apache-2.0
ovs>=2.6.0.dev3;python_version>='3.4' # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
neutron (2:9.0.0~rc1-2+5~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Added a new neutron-macvtap-agent package.
  * Fixed oslo-config-gnenerator namespaces for a number of config file.
  * Debconf translation:
    - it (Closes: #838501).

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:21:34 +0000

neutron (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased fix-requirements.txt.patch.
  * Re-enabled tests.
  * Add flake8-legacy.patch (idea taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:14:17 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     bridge-utils,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-flake8,
                     python-gflags,
                     python-greenlet,
                     python-hacking (>= 0.11.0),
                     python-httplib2,
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutron-lib (>= 0.4.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.30.1),
                     python-openvswitch,
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-pymysql,
                     python-pyudev,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 4.4),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-stevedore (>= 1.16.0),
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
# python-ryu should be >= 4.5
Standards-Version: 3.9.8
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-neutron -b debian/newton

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutron-lib (>= 0.4.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.30.1),
         python-openvswitch,
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-osprofiler (>= 1.4.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-ryu (>= 4.4),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         python-stevedore (>= 1.16.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy (>= 1.0.12),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = neutron.agent.linux.interface.OVSInterfaceDriver|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dhcp_driver[ \t]*=.*|dhcp_driver = neutron.agent.linux.dhcp.Dnsmasq|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dnsmasq_config_file[ \t]*=.*|dnsmasq_config_file = /etc/neutron/dnsmasq-neutron.conf|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	pkgos-fix-config-default $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini ml2 extension_drivers port_security,qos
	

	# ml2_conf_sriov.ini
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf_sriov.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.sriov \
		--namespace oslo.log

	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \
		--namespace neutron.extensions \
		--namespace neutron.qos \
		--namespace nova.auth \
		--namespace oslo.log \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token

	sed -i 's|^[ #\t]*core_plugin[ \t]*=.*|core_plugin = ml2|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*service_plugins[ \t]*=.*|service_plugins = router,metering,qos|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*auth_strategy[ \t]*=.*|auth_strategy = keystone|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*allow_overlapping_ips[ \t]*=.*|allow_overlapping_ips = True|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*notify_nova_on_port_status_changes[ \t]*=.*|notify_nova_on_port_status_changes = True |' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

## neutron 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 requests>=2.10.0 # Apache-2.0
 Jinja2>=2.8 # BSD License (3 clause)
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 netifaces>=0.10.4 # MIT
 neutron-lib>=0.4.0 # Apache-2.0
 python-neutronclient>=5.1.0 # Apache-2.0

=== debian/changelog ===
neutron (2:9.0.0-4+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 17 Oct 2016 13:43:35 +0000

neutron (2:9.0.0-4) unstable; urgency=medium

  * Fixed path of ml2_conf.ini in debian/neutron-linuxbridge-agent.init.in.
  * Correctly runtime depends: on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2016 11:13:41 +0200

neutron (2:9.0.0-3) unstable; urgency=medium

  * Add a [designate] configuration example (Closes: #831697).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 16:12:34 +0200

neutron (2:9.0.0-2) unstable; urgency=medium

  * Debconf translation:
    - pt (Closes: #840059).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 13:36:10 +0200

neutron (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:12:16 +0200

neutron (2:9.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Added a new neutron-macvtap-agent package.
  * Fixed oslo-config-gnenerator namespaces for a number of config file.
  * Debconf translation:
    - it (Closes: #838501).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                      python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 1.3),
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-netifaces (>= 0.10.4),
                      python-neutron-lib (>= 0.4.0),
                      python-neutronclient (>= 1:5.1.0),
@@ -105,7 +105,7 @@
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-netifaces (>= 0.10.4),
          python-neutron-lib (>= 0.4.0),
          python-neutronclient (>= 1:5.1.0),
@@ -168,6 +168,7 @@
          python-openstackclient,
          q-text-as-data,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - server
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -239,6 +240,7 @@
          neutron-common (= ${source:Version}),
          sudo,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Recommends: openvswitch-switch,
 Conflicts: neutron-vpn-agent,
@@ -258,6 +260,7 @@
          neutron-common (= ${source:Version}),
          sudo,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - DHCP agent
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -272,6 +275,7 @@
 Depends: adduser,
          neutron-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - metadata agent
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -288,15 +292,10 @@
          lsb-base,
          neutron-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Provides: neutron-plugin-metering-agent,
 Description: OpenStack virtual network service - metering agent
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
- network capabilities, including QoS, ACLs, and network monitoring.
- .
- This package provides the Neutron metering agent.
-
-Package: neutron-openvswitch-agent
-Architecture: all

## neutron 9.1.1

=== neutron/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0
psycopg2

=== debian/changelog ===
neutron (2:9.1.1-3+deb9u3) stretch-security; urgency=high

  * Re-upload changes proposed in previous changelog entry. The +deb9u2 update
    was incorrectly prepared and did not actually apply the fix for
    CVE-2021-40085. (Closes: #993398)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 May 2022 13:34:43 +0100

neutron (2:9.1.1-3+deb9u2) stretch-security; urgency=high

  * CVE-2021-40085: Prevent an issue where authenticated attackers could have
    reconfigured dnsmasq via a crafted extra_dhcp_opts value. (Closes: #993398)

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Oct 2021 15:10:29 +0100

neutron (2:9.1.1-3+deb9u1) stretch-security; urgency=medium

  * CVE-2019-9735: it's possible to add a security group rule for VRRP with a
    dport. Apply upstream patch: When converting sg rules to iptables, do not
    emit dport if not supported. (Closes: #924508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2019 10:41:17 +0100

neutron (2:9.1.1-3) unstable; urgency=medium

  * Dutch translation of debconf messages (Closes: #841651).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:11:13 +0200

neutron (2:9.1.1-2) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858706).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:57:49 +0200

neutron (2:9.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Add patch to allow SQLAlchemy 1.1.x.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Dec 2016 18:16:52 +0100

neutron (2:9.0.0-5) unstable; urgency=medium

  * Allow unit tests to fail, as there's some non-deterministic path when
    creating the db tables (Closes: #841906).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Oct 2016 09:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Gustavo Panizzo <gfa@zumbi.com.ar>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),

## neutron 9.4.0

=== debian/changelog ===
neutron (2:9.4.0-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1696133, #1662804).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 13:08:13 +0100

neutron (2:9.3.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:13:47 -0400

neutron (2:9.2.0-0ubuntu2) yakkety; urgency=medium

  * d/neutron-common.install, d/neutron-dhcp-agent.install:
    Remove cron jobs since they will cause a race when
    using an L3 agent. The L3 agent cleans up after itself now.
    (LP: #1623664)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 13:20:57 -0400

neutron (2:9.2.0-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/tests-db.patch: Specify a db path for tests. 
  * New upstream point release for Openstack Newton (LP: #1664306).
  * d/control: Bump python-pecan version. (LP: #1668578)

  [ Corey Bryant ]
  * d/tests/control: Use needs-recommends to ensure neutron-plugin-ml2 is
    installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Mar 2017 10:02:38 -0500

neutron (2:9.1.1-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * debian/patches/check-namespace-before-getting-devices.patch: Dropped
    no longer needed, merged into stable/newton. 

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Newton (LP: #1645772).

 -- David Della Vecchia <ddv@canonical.com>  Thu, 01 Dec 2016 11:36:16 -0500

neutron (2:9.0.0-0ubuntu1.16.10.2) yakkety; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream stable/newton branch to check if router namespace exists
    before getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 14:05:14 -0500

neutron (2:9.0.0-0ubuntu1.16.10.1) yakkety; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 14:31:33 -0400

neutron (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/neutron-openvswitch-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to bridges associated with instances (LP: #1630968).

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:36:38 -0400

neutron (2:9.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 08:17:58 -0400

neutron (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/p/flake8-legacy.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:47:43 -0400

neutron (2:9.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/control: Require miniminum dnsmasq of 2.76 to ensure availability
    of dhcp_release6.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2016 10:20:14 -0400

neutron (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:30:48 +0100

neutron (2:9.0.0~b3-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to instances (LP: #1621854).

 -- James Page <james.page@ubuntu.com>  Fri, 09 Sep 2016 14:31:25 +0100

neutron (2:9.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/control: Set minimum version of neutron-fwaas to 9.0.0~b3, resolving
    autopkgtest failures during db migrations.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 10:51:56 +0100

neutron (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in:
    Fix Type=oneshot typo (LP: #1606652).

  [ James Page ]
  * New upstream release.
  * d/p/flake8-legacy.patch: Compat patch for newer flake8 version than
    upstream OpenStack is currently aligned with.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-pep8 to BDs.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 16:37:00 -0400

neutron (2:9.0.0~b2-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.init.in:
    Run neutron-linuxbridge-cleanup with linuxbridge_agent.ini (LP: #1606657).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Aug 2016 14:55:38 -0400

neutron (2:9.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/control: Add runtime dependency on python-ryu, now used as the default
    openflow manager for the ML2/Open vSwitch agent.
  * d/p/drop-ryu-dep.patch: Dropped, as we need ryu now for normal operation.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jul 2016 16:03:14 +0100

neutron (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Bump min python-fixtures to 3.0.0.

  [ David Della Vecchia ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jul 2016 11:49:23 +0100

neutron (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.


=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     git,
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron-lib (>= 0.4.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openvswitch (>= 2.5.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.9.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.1.2),
                     python-pep8,
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-ryu (>= 3.30),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends: adduser,
         ipset,
         python-neutron (= ${source:Version}),
         python-neutron-fwaas (>= 1:9.0.0~b3),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
        neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
          neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-l3-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         radvd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: dnsmasq-base (>= 2.76),
         dnsmasq-utils (>= 2.76),
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.4.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-openvswitch (>= 2.5.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.9.1),
         python-osprofiler (>= 1.4.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.1.2),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-ryu (>= 3.30),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: Neutron is a virtual network service for Openstack - Python library
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python library.

Package: neutron-plugin-ml2
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-openvswitch-agent
Architecture: all
Depends: conntrack,
         neutron-common (= ${source:Version}),
         openvswitch-switch,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
        neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
          neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
